Summary:	For monitoring S.M.A.R.T. disks and devices
Name:		smartmontools
Version:	5.42
Release:	3
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://smartmontools.sourceforge.net/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:	smartd.conf
Source2:	smartd.service
Source3:	smartd.sysconfig
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires(post):	systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post):	systemd-sysvinit
BuildRequires:	libcap-ng-devel
BuildRequires:	systemd-units
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
SMARTmontools controls and monitors storage devices using the Self-Monitoring,
Analysis and Reporting Technology System (S.M.A.R.T.) built into ATA and SCSI
Hard Drives. This is used to check the reliability of the hard drive and
predict drive failures. The suite contains two utilities. The first, smartctl,
is a command-line utility designed to perform simple S.M.A.R.T. tasks. The
second, smartd, is a daemon that periodically monitors smart status and
reports errors to syslog. The package is compatible with the ATA/ATAPI-5
specification. Future releases will be compatible with the ATA/ATAPI-6 and
ATA/ATAPI-7 specifications. The package is intended to incorporate as much
"vendor specific" and "reserved" information as possible about disk drives.
man smartctl and man smartd will provide more information.

%prep

%setup -q

%build
%configure2_5x \
    --with-libcap-ng=yes \
    --enable-drivedb

%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/sysconfig

%makeinstall_std

install %{SOURCE1} %{buildroot}%{_sysconfdir}/
install %{SOURCE2} %{buildroot}%{_unitdir}/smartd.service
install %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/smartd

# cleanup
rm -rf %{buildroot}%{_initrddir}

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable smartd.service >/dev/null 2>&1 || :
    /bin/systemctl stop smartd.service > /dev/null 2>&1 || :
fi

%post
if [ $1 -eq 1 ]; then
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
else
    if [ -n "$(find /etc/rc.d/rc5.d/ -name 'S??smartd' 2>/dev/null)" ]; then
	/bin/systemctl enable smartd.service >/dev/null 2>&1 || :
    fi
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart smartd.service >/dev/null 2>&1 || :
fi

%triggerun -- smartmontools < 5.42-1
# Save the current service runlevel info
# User must manually run 
#  systemd-sysv-convert --apply smartd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save smartd >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del smartd >/dev/null 2>&1 || :
/bin/systemctl try-restart smartd.service >/dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/smartd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/smartd
%{_sbindir}/*
%{_mandir}/man?/*
%{_docdir}/%{name}
%{_datadir}/%{name}/drivedb.h
%{_unitdir}/smartd.service


%changelog
* Wed Sep 12 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.42-3
+ Revision: 816859
- update requires on 'systemd-sysv' to 'systemd-sysvinit'

* Tue Jan 10 2012 Andrey Bondrov <abondrov@mandriva.org> 5.42-2
+ Revision: 759447
- Fix service path (bug #64477)

* Wed Nov 16 2011 Oden Eriksson <oeriksson@mandriva.com> 5.42-1
+ Revision: 731067
- use only systemd from now on
- 5.42

* Sun Jun 12 2011 Oden Eriksson <oeriksson@mandriva.com> 5.41-1
+ Revision: 684306
- fix build, take #2 (someone will have to marge changes from smartmontools-5.41-1.fc16.src.rpm i guess...)
- fix build, take #1
- 5.41

* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 5.40-2
+ Revision: 669990
- mass rebuild

* Tue Nov 16 2010 Oden Eriksson <oeriksson@mandriva.com> 5.40-1mdv2011.0
+ Revision: 598045
- 5.40
- provide our own initscript
- fix deps

* Thu Jan 28 2010 Erwan Velu <erwan@mandriva.org> 5.39.1-1mdv2010.1
+ Revision: 497837
- 5.39.1

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 5.39-1mdv2010.1
+ Revision: 476084
- Update to new version 5.39
- Remove format error patch integrated upstream

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 5.38-5mdv2010.0
+ Revision: 427197
- rebuild

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 5.38-4mdv2009.1
+ Revision: 337587
- fix format errors
- install doc in expected location
- drop README.urpmi, just telling users to edit their configuration is a bit useless
- spec cleanup
- keep bash completion in its own package

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 5.38-3mdv2009.0
+ Revision: 225446
- rebuild

* Mon Mar 10 2008 Erwan Velu <erwan@mandriva.org> 5.38-2mdv2008.1
+ Revision: 183401
- 5.38 official release
  Remove patch0 (upstream)
  This release closes bug #37887

* Fri Feb 29 2008 Erwan Velu <erwan@mandriva.org> 5.38-1mdv2008.1
+ Revision: 176708
- Update source to 5.38
- Using 5.38 tag

* Sat Feb 02 2008 Thomas Backlund <tmb@mandriva.org> 5.38-0.1mdv2008.1
+ Revision: 161576
- update to 5.38 (cvs snapshot 20080203)
- drop patch1: hsm fix, merged upstream
- drop patch2: strange_buffer fix, merged upstream

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 5.37-2mdv2008.0
+ Revision: 69152
- Preventing some some HSM violation  on sata_nv

